import "./tasks/CNVkit.wdl" as CNVkit

workflow {{ project_name }} {
  
  String sample_id
  File hrd
  File? tumor_bam
  File? tumor_bam_index
  File? normal_bam
  File? normal_bam_index
  String? duplex_umi
  String? read_structure
  
  String SENTIEON_LICENSE
  String sentieon_docker
  String manta_docker
  String bcftools_docker
  String annovar_docker
  String annotsv_docker
  String cnvkit_docker
  String sequenza_docker
  String msisensor_docker
  String tmb_docker
  
  String platform
  File ref_dir
  String fasta
  File dbmills_dir
  String db_mills
  File dbsnp_dir
  String dbsnp
  File germline_resource
  File germline_resource_tbi
  File annovar_database
  File annotsv_database
  File gc
  File baseline
  File ref_flat
  
  File? regions
  Int? interval_padding
  
  String disk_size
  String cluster_config
  
  call CNVkit.CNVkit as CNVkit {
    input:
    sample=sample_id,
    fasta=fasta,
    ref_dir=ref_dir,
    regions=regions,
    ref_flat=ref_flat,
    normal_bam=normal_bam,
    normal_bam_index=normal_bam_index,
    tumor_bam=tumor_bam,
    tumor_bam_index=tumor_bam_index,
    hrd=hrd,
    docker=cnvkit_docker,
    cluster_config=cluster_config,
    disk_size=disk_size
  }
}